AGResultSet (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGResultSet

Package com.franz.agraph.jena

# Class AGResultSet

java.lang.Object
com.franz.agraph.jena.AGResultSet

All Implemented Interfaces:
  `Iterator<QuerySolution>`, `ResultSet`

public class AGResultSet extends Object implements ResultSet
Implements the Jena ResultSet interface for AllegroGraph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGResultSet(org.eclipse.rdf4j.query.TupleQueryResult result, AGModel model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `void`
  `forEachRemaining(Consumer<? super QuerySolution> action)`
  `Model`
  `getResourceModel()`
  `List<String>`
  `getResultVars()`
  `int`
  `getRowNumber()`
  `boolean`
  `hasNext()`
  `AGQuerySolution`
  `next()`
  `Binding`
  `nextBinding()`
  `AGQuerySolution`
  `nextSolution()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jena.query.ResultSet

  `materialise, rewindable`

- ## Constructor Details

  - ### AGResultSet

    public AGResultSet(org.eclipse.rdf4j.query.TupleQueryResult result, AGModel model)

- ## Method Details

  - ### getResourceModel

    public Model getResourceModel()
    Specified by:
      `getResourceModel` in interface `ResultSet`

  - ### close

    public void close()
    Specified by:
      `close` in interface `ResultSet`

  - ### getResultVars

    public List<String> getResultVars()
    Specified by:
      `getResultVars` in interface `ResultSet`

  - ### getRowNumber

    public int getRowNumber()
    Specified by:
      `getRowNumber` in interface `ResultSet`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<QuerySolution>`
    Specified by:
      `hasNext` in interface `ResultSet`

  - ### next

    public AGQuerySolution next()
    Specified by:
      `next` in interface `Iterator<QuerySolution>`
    Specified by:
      `next` in interface `ResultSet`

  - ### forEachRemaining

    public void forEachRemaining(Consumer<? super QuerySolution> action)
    Specified by:
      `forEachRemaining` in interface `Iterator<QuerySolution>`
    Specified by:
      `forEachRemaining` in interface `ResultSet`

  - ### nextBinding

    public Binding nextBinding()
    Specified by:
      `nextBinding` in interface `ResultSet`

  - ### nextSolution

    public AGQuerySolution nextSolution()
    Specified by:
      `nextSolution` in interface `ResultSet`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<QuerySolution>`